import { defineComponent as t, createElementBlock as l, openBlock as o, normalizeStyle as n, createElementVNode as i } from "vue";
const r = ["xlink:href", "fill"], a = {
  name: "CiSvgIcon"
}, d = /* @__PURE__ */ t({
  ...a,
  props: {
    prefix: { default: "#icon-" },
    name: {},
    color: { default: "" },
    width: { default: "18px" },
    height: { default: "18px" }
  },
  setup(f) {
    return (e, h) => (o(), l("svg", {
      style: n({ width: e.width, height: e.height })
    }, [
      i("use", {
        "xlink:href": e.prefix + e.name,
        fill: e.color
      }, null, 8, r)
    ], 4));
  }
});
export {
  d as default
};
